import { ExecutionContext, RequestInterceptor, RequestInterceptorType, TapResponseFrame } from '@iotize/tap/client/api';
import { Observable } from 'rxjs';
export declare class InterceptorChain {
    private target;
    interceptors: RequestInterceptor[];
    constructor(target: (context: ExecutionContext) => Observable<TapResponseFrame>);
    addInterceptor(interceptor: RequestInterceptorType): this;
    execute<T>(context: ExecutionContext): Observable<TapResponseFrame>;
}
